[arch-commits] CVS update of extra/multimedia/xzgv (PKGBUILD)

Alexander Baldeck alexander at archlinux.org
Fri Dec 21 22:11:40 EST 2007


    Date: Friday, December 21, 2007 @ 22:11:40
  Author: alexander
    Path: /home/cvs-extra/extra/multimedia/xzgv

Modified: PKGBUILD (1.8 -> 1.9)

upgpkg: xzgv 0.9


----------+
 PKGBUILD |   35 +++++++++++++++++++++--------------
 1 file changed, 21 insertions(+), 14 deletions(-)


Index: extra/multimedia/xzgv/PKGBUILD
diff -u extra/multimedia/xzgv/PKGBUILD:1.8 extra/multimedia/xzgv/PKGBUILD:1.9
--- extra/multimedia/xzgv/PKGBUILD:1.8	Wed Sep  6 16:39:42 2006
+++ extra/multimedia/xzgv/PKGBUILD	Fri Dec 21 22:11:39 2007
@@ -1,27 +1,34 @@
-# $Id: PKGBUILD,v 1.8 2006/09/06 20:39:42 andyrtr Exp $
-# Maintainer: dorphell <dorphell at archlinux.org>
+# $Id: PKGBUILD,v 1.9 2007/12/22 03:11:39 alexander Exp $
+# Maintainer: Alexander Baldeck <alexander at archlinux.org>
+# Contributor: dorphell <dorphell at archlinux.org>
 pkgname=xzgv
-pkgver=0.8
-pkgrel=3
+pkgver=0.9
+pkgrel=1
 pkgdesc="xzgv is a GTK+/Imlib-based picture viewer for X"
 arch=(i686 x86_64)
-depends=('imlib')
-source=(ftp://ftp.ibiblio.org/pub/Linux/apps/graphics/viewers/X/$pkgname-$pkgver.tar.gz \
-        http://rus.members.beeb.net/xzgv-0.8-integer-overflow-fix.diff)
+depends=('gtk2')
+makedepends=('pkgconfig')
+license=('GPL')
+source=(http://downloads.sourceforge.net/sourceforge/xzgv/${pkgname}-${pkgver}.tar.gz)
 url="http://rus.members.beeb.net/xzgv.html"
-md5sums=('e392277f1447076402df2e3d9e782cb2')
 
 build() {
-   cd $startdir/src/$pkgname-$pkgver
-   patch -p1 -i $startdir/src/xzgv-0.8-integer-overflow-fix.diff
-   if [ "$CARCH" = "x86_64" ]; then
+   cd ${startdir}/src/${pkgname}-${pkgver}
+   if [ "${CARCH}" = "x86_64" ]; then
      # from gentoo
     sed -i -e "s:-O2 -Wall:${CFLAGS}:" config.mk
     case "${ARCH}" in "x86");; *)
      sed -i -e "s/CFLAGS+=-DINTERP_MMX/#&/" config.mk;;
     esac
    fi
-   ./configure --prefix=/usr
-   make || return 1
-   make BINDIR=$startdir/pkg/usr/bin INFODIR=$startdir/pkg/usr/share/info MANDIR=$startdir/pkg/usr/man/man1 install
+   
+   make all || return 1
+   cd src
+   make BINDIR=${startdir}/pkg/usr/bin \
+        MANDIR=${startdir}/pkg/usr/man/man1 \
+        install
+
+   cd ../doc
+   install -D -m644 xzgv.1 $startdir/pkg/usr/man/man1/xzgv.1
 }
+md5sums=('7e2dfad595c97c2abbb392b61ea69f1b')




More information about the arch-commits mailing list